<?php 

Yii::app()->getClientScript()->registerCoreScript('jquery');

echo CHtml::errorSummary( $serial )  ."\n";

echo CHtml::tag("h2", array(), "Settings") ."\n";
echo CHtml::openTag("div", array("class"=>"yiiForm") );
echo CHtml::form();
if ( !isset($options) )
	$options = array();
echo CHtml::tag("td", array(), CHtml::activeHiddenField($serial, "enablePowerSave", $options) );

echo CHtml::openTag("table");
echo CHtml::openTag("tr");
echo CHtml::tag("td", array('colspan'=>2), CHtml::activeLabel($serial, "href")." : ");
echo CHtml::tag("td", array(), CHtml::activeDropDownList($serial, "href", $serial->getFileList(), array('onchange'=>'enableComPort()', 'id'=>'EnableComPort')));
echo CHtml::closeTag("tr");


$options = array( 'onclick'=>'enableMonPower()', 'id'=>'ControlMonPower', 'class'=>'com_port', 'uncheckValue'=>null );
echo CHtml::openTag("tr");
echo CHtml::tag("td", array(),  CHtml::activeHiddenField($serial, "fixedMonPower", array('value'=>0, 'class'=>'com_port') ). 
                                CHtml::activeCheckBox($serial, "fixedMonPower", $options) );
echo CHtml::tag("td", array(), CHtml::activeLabel($serial, "fixedMonPower") );
echo CHtml::closeTag("tr");

$options = array( 'class'=>'mon_power', 'size'=>6);
echo CHtml::openTag("tr");
echo CHtml::tag("td");
echo CHtml::tag("td", array(), CHtml::activeLabel($serial, "onTime") );
echo CHtml::tag("td", array(), CHtml::activeTextField($serial, "onTime", $options) );
echo CHtml::closeTag("tr");
echo CHtml::openTag("tr");
echo CHtml::tag("td");
echo CHtml::tag("td", array(), CHtml::activeLabel($serial, "offTime") );
echo CHtml::tag("td", array(), CHtml::activeTextField($serial, "offTime", $options) );
echo CHtml::closeTag("tr");

$options = array( 'onclick'=>'enableComSettings()' , 'id'=>'EnableComSettings', 'class'=>'com_port' );
echo CHtml::openTag("tr");
echo CHtml::tag("td", array(), CHtml::activeCheckBox($serial, "enableComSettings", $options) );
echo CHtml::tag("td", array(), CHtml::activeLabel($serial, "enableComSettings") );
echo CHtml::closeTag("tr");

$options = array( 'class'=>'com_settings');
echo CHtml::openTag("tr");
echo CHtml::tag("td");
echo CHtml::tag("td", array(), CHtml::activeLabel($serial, "baudRate") );
echo CHtml::tag("td", array(), CHtml::activeDropDownList($serial, "baudRate", $serial->toList('baudRate'),$options) );
echo CHtml::closeTag("tr");

echo CHtml::openTag("tr");
echo CHtml::tag("td");
echo CHtml::tag("td", array(), CHtml::activeLabel($serial, "byteSize") );
echo CHtml::tag("td", array(), CHtml::activeDropDownList($serial, "byteSize", $serial->toList('byteSize'),$options) );
echo CHtml::closeTag("tr");

echo CHtml::openTag("tr");
echo CHtml::tag("td");
echo CHtml::tag("td", array(), CHtml::activeLabel($serial, "parity") );
echo CHtml::tag("td", array(), CHtml::activeDropDownList($serial, "parity", $serial->toList('parity'),$options) );
echo CHtml::closeTag("tr");

echo CHtml::openTag("tr");
echo CHtml::tag("td");
echo CHtml::tag("td", array(), CHtml::activeLabel($serial, "stopBits") );
echo CHtml::tag("td", array(), CHtml::activeDropDownList($serial, "stopBits", $serial->toList('stopBits'),$options) );
echo CHtml::closeTag("tr");


echo CHtml::closeTag("table");

echo CHtml::openTag("div", array( 'class'=>'action') );
echo CHtml::submitButton("Apply", array('name'=>'serial') );
echo CHtml::closeTag("div");

echo CHtml::endForm();
echo CHtml::closeTag("div");

echo CHtml::tag("h2", array(), "Upload Protocol File") ."\n";

echo CHtml::openTag("div", array("class"=>"yiiForm") );
echo CHtml::form("", "post", array('enctype'=>'multipart/form-data'));

echo CHtml::openTag("div", array( 'class'=>'simple') );
echo CHtml::activeFileField($serial, "uploadedfile", array('size'=>50) );
echo CHtml::closeTag("div");


echo CHtml::openTag("div", array( 'class'=>'action') );
echo CHtml::submitButton("Upload", array('name'=>'upload') );
echo CHtml::closeTag("div");

echo CHtml::endForm();
echo CHtml::closeTag("div");

?>
<script type="text/javascript">
<!--
function enableComPort()
{
	var iEnableComPort=document.getElementById("EnableComPort");
    $('.com_port').attr("disabled",iEnableComPort.selectedIndex==0?"disabled":"");
    if ( iEnableComPort.selectedIndex==0 ) {
        $('.mon_power').attr("disabled","disabled");
        $('.com_settings').attr("disabled","disabled");
    }else {
        enableMonPower();
        enableComSettings();
    }
};
function enableMonPower()
{
	var iControlMonPower=document.getElementById("ControlMonPower");
    $('.mon_power').attr("disabled",iControlMonPower.checked?"":"disabled");
};
function enableComSettings()
{
	var iEnableComSettings=document.getElementById("EnableComSettings");
    $('.com_settings').attr("disabled",iEnableComSettings.checked?"":"disabled");
};
enableComPort();
-->
</script>
