<?php 

echo CHtml::tag("h2", array(), $credit->getAttributeLabel( "title") ) ."\n";

echo CHtml::errorSummary( $credit )  ."\n";
foreach ($credit->credits as $server)
    echo CHtml::errorSummary( $server );
    
echo CHtml::openTag("div", array("class"=>"yiiForm") );
echo CHtml::form();

echo $credit->getAttributeLabel( "desc");

echo "<table id='serverDef'>\n";

echo "<tr>";
$creditdummy = new Credentials;
echo  CHtml::tag( "th", array(), $creditdummy->getAttributeLabel( "href") );
echo  CHtml::tag( "th", array(), $creditdummy->getAttributeLabel( "username") );
echo  CHtml::tag( "th", array(), $creditdummy->getAttributeLabel( "password") );
echo  CHtml::tag( "th", array(), $creditdummy->getAttributeLabel( "realm") );
echo "</tr>\n";

$options = array();
if ( count( $credit->credits ) ==0 ) {
    $creditex = new Credentials;
    $creditex->href = "http://SomeServer/SomePath/";
    $creditex->username = "MyName";
    $creditex->password = "MyPassword";
    $creditex->options = array('disabled'=>'disabled');
    $credit->addCreditential($creditex);
    $credit->addCreditential($creditdummy);
}
$i=0;
foreach ($credit->credits as $server){
    print("<tr>");
    echo  CHtml::tag( "td", array(), CHtml::activeTextField($server, "[$i]href", array_merge($server->options, array( 'size'=>35 ) ) ) );
    $server->options['size']=10;
    echo  CHtml::tag( "td", array(), CHtml::activeTextField($server, "[$i]username", $server->options) );
    echo  CHtml::tag( "td", array(), CHtml::activePasswordField($server, "[$i]password", $server->options) );
    echo  CHtml::tag( "td", array(), CHtml::activeTextField($server, "[$i]realm", $server->options) );
    echo  CHtml::tag( "td", array(), CHtml::image("images/delete.png", "Del", array("onclick"=>"clearContent( this )") ) );
    print("</tr>\n");     
    $i++;
}
print("<tr>");
echo  CHtml::tag( "td" );
echo  CHtml::tag( "td" );
echo  CHtml::tag( "td", array('colspan'=>2, 'align'=>'right'), CHtml::button("Add server row", array('onclick'=>'addNewServer()') ));
print("</tr>\n");     

echo "</table>\n";

echo CHtml::openTag("div", array( 'class'=>'action') );
echo CHtml::submitButton("Apply", array('name'=>'credit') );
echo CHtml::closeTag("div")."\n";

echo CHtml::endForm();
echo CHtml::closeTag("div")."\n";
?>

<script type="text/javascript">
<!--
var tableServer=document.getElementById("serverDef");
var nextIdx=tableServer.rows.length-2;

function clearContent( el ) {
    var p = $(el).parent();
    var p2 = p.parent();
    p2.remove();
}
function addNewServer()
{
    var tableServer=document.getElementById("serverDef");
    var nbServer=tableServer.rows.length-1;
    var newRow=tableServer.insertRow(nbServer);
    
    
    var text='<?php 
    echo  CHtml::tag( "td", array(), CHtml::activeTextField($server, "[99]href", array( 'size'=>35, 'value'=>"" )) );
    echo  CHtml::tag( "td", array(), CHtml::activeTextField($server, "[99]username", array( 'size'=>10, 'value'=>"")) );
    echo  CHtml::tag( "td", array(), CHtml::activePasswordField($server, "[99]password", array( 'size'=>10, 'value'=>"")) );
    echo  CHtml::tag( "td", array(), CHtml::activeTextField($server, "[99]realm", array( 'size'=>10, 'value'=>"")) );  
    echo  CHtml::tag( "td", array(), CHtml::image("images/delete.png", "Del", array("onclick"=>"clearContent( this )") ) );
    ?>';

    text = text.replace(/\[99]/g, '['+nextIdx+']');
    text = text.replace(/_99_/g, '_'+nextIdx+'_');
    $(newRow).html(text);
    nextIdx++;
    
}

function test()
{
    var i=0;
    i++;
}

test();

-->
</script>