<?php 


echo CHtml::tag("h2", array(), "Shutdown") ."\n";
echo CHtml::tag("h3", array(), "Device is restarting.") ."\n";
echo "Reason: $reason<br/><br/>\n";
echo "<p>There will be no indication that the ".Yii::app()->user->branding->product." is back online. ";
echo "Please wait for 2 minutes before using the http interface again.</p>\n";
echo $message ."\n";


if ( Yii::app()->user->tools->reboot==2 ) {
    echo CHtml::tag("h2", array(), "Diagnostic Mode") ."\n";
    echo "<br/><p>The system will reboot in diagnostic (i.e., recovery) mode: ";
    $state = Yii::app()->user->tools->checkRecoverySate();
    if ( $state == "bonjour" ) {
        $inf = new BasicInfo;
        echo "the unit is always reachable at <a href='http://".$inf->hostname.".local/'>http://".$inf->hostname.".local</a> from Zeroconf enabled computers on the local network.</p>";
        echo "<p>Please use the <a href='http://".$inf->hostname.".local/'>following link</a> to refresh the interface.</p>\n";
    } elseif ( $state == "current" ) {
        echo "the network address should be the same as the one currently.</p>";
        echo "<p>Please use the <a href='/'>following link</a> to refresh the interface.</p>\n";
    }else{
        echo "the network address will be in the range 192.168.1.11 to 192.168.1.29.</p>";
        echo "<p>Please use one of the following link to refresh the interface: ";
        echo "<a href='http://192.168.1.11/'>http://192.168.1.11/</a>, <a href='http://192.168.1.12/'>http://192.168.1.12/</a>, <a href='http://192.168.1.13/'>http://192.168.1.13/</a> and so on.</p>\n";
    }
}

